Bug 528476 - Review Request: php-ezc-PersistentObjectDatabaseSchemaTiein - eZ Components PersistentObjectDatabaseSchemaTiein
Summary: Review Request: php-ezc-PersistentObjectDatabaseSchemaTiein - eZ Components P...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 11
Hardware: noarch
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 528473
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-12 12:44 UTC by Guillaume Kulakowski
Modified: 2014-09-05 11:55 UTC (History)
3 users (show)

Fixed In Version: 1.3-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-04 23:38:30 UTC
Type: ---
andrew: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Guillaume Kulakowski 2009-10-12 12:44:56 UTC
PersistentObjectDatabaseSchemaTiein is a part of eZ Components :
https://admin.fedoraproject.org/pkgdb/packages/name/php-channel-ezc

---
This component allows the automatic generation of PersistentObject definition
files from DatabaseSchema definitions.
---

SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-PersistentObjectDatabaseSchemaTiein.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc11.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc11.noarch.rpm

rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/php-ezc-PersistentObjectDatabaseSchemaTiein   
2 packages and 1 specfiles checked; 0 errors, 0 warnings.



Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| ./*                         | 5.0.0   | 0 |            | __CLASS__          |
|                             |         |   |            | __FILE__           |
|                             |         |   |            | catch              |
|                             |         |   |            | implements         |
|                             |         |   |            | instanceof         |
|                             |         |   |            | private            |
|                             |         |   |            | protected          |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
|                             |         |   |            | try                |
+-----------------------------+---------+---+------------+--------------------+

Comment 1 Andrew Colin Kissa 2009-11-03 10:17:54 UTC
Issues to fix before full review.

* Consistent use of macros
- if using the %{__pear} style macros then you need to be consistent, i.e use
%{__install}, %{__rm}, %{__mv} e

Comment 3 Andrew Colin Kissa 2009-11-10 08:47:56 UTC
OK: rpmlint must be run on every package

rpmlint ~/rpmbuild/SRPMS/php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc11.src.rpm ~/rpmbuild/RPMS/noarch/php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc11.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines
OK: The spec file name must match the base package
FIX: The package must meet the Packaging Guidelines

The package MUST require php-pear(PEAR)
http://fedoraproject.org/wiki/Packaging:PHP#PEAR_Packages_from_a_non_standard_channel.2Frepository

OK: The package must be licensed with a Fedora approved license
OK: The License field in the package spec file must match the actual license
OK: License text included
OK: The spec file must be written in American English
OK: The spec file for the package MUST be legible
OK: The sources used to build the package must match the upstream source

sha1sum PersistentObjectDatabaseSchemaTiein-1.3.tgz rpmbuild/SOURCES/PersistentObjectDatabaseSchemaTiein-1.3.tgz 
0c822da6b3921a21f6fa2456ee0dd20a85a0624d  PersistentObjectDatabaseSchemaTiein-1.3.tgz
0c822da6b3921a21f6fa2456ee0dd20a85a0624d  rpmbuild/SOURCES/PersistentObjectDatabaseSchemaTiein-1.3.tgz

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture

N\A: ExcludeArch
OK: All build dependencies must be listed in BuildRequires
N\A: The spec file MUST handle locales properly
N\A: Must call ldconfig in %post and %postun
N\A: If the package is designed to be relocatable
OK: A package must own all directories that it creates
OK: A Fedora package must not list a file more than once
OK: Permissions on files must be set properly
OK: Each package must have a %clean section
OK: Each package must consistently use macros
OK: The package must contain code, or permissable content
N\A: Large documentation files must go in a -doc subpackage
OK: If a package includes something as %doc, it must not affect the runtime of the application
N\A: Header files must be in a -devel package
N\A: Static libraries must be in a -static package
N\A: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
N\A: Library files that end in .so (without suffix) must go in a -devel package
N\A: In the vast majority of cases, devel packages must require the base package
N\A: Packages must NOT contain any .la libtool archives
N\A: Packages containing GUI applications must include a %{name}.desktop file
OK: Packages must not own files or directories already owned by other packages
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
OK: All filenames in rpm packages must be valid UTF-8


Please fix the requires before requesting CVS, and please note that you need to increment the package version each time you make a change, this was not done for the previous changes.

-------------------------------------------------------------------
    This package (php-ezc-PersistentObjectDatabaseSchemaTiein) is APPROVED by topdog
-------------------------------------------------------------------

Comment 4 Guillaume Kulakowski 2009-11-10 09:30:21 UTC
You need requires php-pear(PEAR) => php-pear is already requiered by php-pear(%{channel}/Base) >= 1.6

Comment 5 Andrew Colin Kissa 2009-11-10 09:39:55 UTC
That is a build requires, NOT a requires, that only gets checked during building not when then user is installing the package.

Comment 6 Guillaume Kulakowski 2009-11-10 09:59:11 UTC
php-channel-ezc.spec (http://cvs.fedoraproject.org/viewvc/rpms/php-channel-ezc/devel/php-channel-ezc.spec?view=markup) have Requieres & BuildRequieres :
> BuildRequires: php-pear(PEAR) 
> Requires: php-pear(PEAR)

php-ezc-PersistentObjectDatabaseSchemaTiein.spec (http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-PersistentObjectDatabaseSchemaTiein.spec) have BR & inherits Requieres by php-pear-ezc-DatabaseSchema php-channel-ezc :

> BuildRequires:  php-pear >= 1:1.4.9-1.2

> Requires:       php-pear(%{channel}/DatabaseSchema) >= 1.2
-->
> Requires: php-pear(%{channel}/Base) >= 1.6.1 
-->
> Requires: php-pear(PEAR)

It's not good ?

Comment 7 Andrew Colin Kissa 2009-11-10 10:09:03 UTC
I would feel better if you explicitly add that there, although the dependencies can be satisfied by the chain of packages required, this information in the spec could be used for other purposes (like finding packages which require pear when doing a mass rebuild for example).

Comment 8 Guillaume Kulakowski 2009-11-16 09:09:24 UTC
New Package CVS Request
=======================
Package Name: php-ezc-PersistentObjectDatabaseSchemaTiein
Short Description: Automatic generation of PersistentObject from DatabaseSchema definitions
Owners: llaumgui
Branches: F-10 F-11 F-12
InitialCC:

Comment 9 Jason Tibbitts 2009-11-16 17:50:50 UTC
CVS done.

Comment 10 Fedora Update System 2009-11-18 11:04:15 UTC
php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc11

Comment 11 Fedora Update System 2009-11-18 11:04:22 UTC
php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc12

Comment 12 Fedora Update System 2009-11-18 11:04:26 UTC
php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc10

Comment 13 Fedora Update System 2009-11-20 05:15:58 UTC
php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-PersistentObjectDatabaseSchemaTiein'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11752

Comment 14 Fedora Update System 2009-11-20 05:21:11 UTC
php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-PersistentObjectDatabaseSchemaTiein'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11761

Comment 15 Fedora Update System 2009-11-20 05:38:07 UTC
php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-PersistentObjectDatabaseSchemaTiein'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-11869

Comment 16 Fedora Update System 2009-12-04 23:38:25 UTC
php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-12-04 23:49:03 UTC
php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-12-05 00:02:07 UTC
php-ezc-PersistentObjectDatabaseSchemaTiein-1.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Guillaume Kulakowski 2010-08-29 09:10:56 UTC
Package Change Request
======================
Package Name: php-ezc-PersistentObjectDatabaseSchemaTiein 
New Branches: EL-6
Owners: llaumgui

Comment 20 Kevin Fenzi 2010-08-29 18:55:04 UTC
Git done (by process-git-requests).

Comment 21 Guillaume Kulakowski 2014-09-02 13:07:16 UTC
Package Change Request
======================
Package Name: php-ezc-PersistentObjectDatabaseSchemaTiein 
New Branches: EL-7
Owners: llaumgui

Comment 22 Gwyn Ciesla 2014-09-05 11:55:42 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.